//
//
{
  gROOT->Reset();

  TCanvas *c;
  TPhEvent *ev;
  TPhRecTrack *track;
  TPhTrackSeedFinder *tseed;
  TPhDetector *det;
  TPhHit *Hit;
// convsion to energy
//  Double_t kQtoE=2.2596;

//  const Float_t kMove = -0.0;

  if(!TPhDetector::GetInstance()) {
    TFile f("$PHATHOME/init/Detector_TB98.root");
    det = (TPhDetector*)f.Get("TB98_V1.0;1");
    det->SetVerbose(10);
    det->Print();

  } else
    det = TPhDetector::GetInstance();
  
  tseed = new TPhTrackSeedFinder();
  tseed->Reset();
  tseed->SetVerbose(0);
  tseed->SetMulguisinMode(4);
  tseed->SetMulguisinResol(0.2);
  tseed->SetMulguisinLayer(3);
  tseed->SetMergeHit(0);

  TPhDST data("run015.dat_0_5000.root");
  TH1F *h_hits = new TH1F("Hits", "Hits", 105, -50, 300);
  TH1F *h_ent_track = new TH1F("Track", "Entries per track", 10, -0.5, 9.5);
  TH2F *h_xy = new TH2F("X-Y", "X-Y hit distribution",200,-10.,10.,100,-5.,5.);

  c = new TCanvas("Hittracks");
  c->Divide(2, 1);
  //  c->SetFillColor(1);

  Int_t counter = 0;
  while(ev = data.GetNextEvent() && counter++ < 20000) {
    det->SetEvent(ev);
    if ( !(counter%100) ) ev->Print();

    TPhObjectContainer *h = 
      (TPhObjectContainer*)ev->GetObject("HitsSuppressed");

    TIter NextHit(h->GetIterator());

    det->FillWithEventHits("HitsSuppressed");
    tseed->RunMulguisin();
    h_ent_track->Fill(tseed->GetTrackSeedList()->GetEntries());

    track = (TPhRecTrack*)tseed->GetTrackSeedList()->At(0);

    if(track && tseed->GetTrackSeedList()->GetEntries() == 1) {
      //      h_ent_track->Fill(track->GetHitList()->GetEntries());
      Int_t i;
      for(i = 0; i < track->GetHitList()->GetEntries(); i++) {
	Hit = (TPhHit*) track->GetHitList()->At(i);
	//      	printf("hit De = %f\n", Hit->GetDe());
	h_hits->Fill((Hit->GetDe())*1000000);
        h_xy->Fill(Hit->GetX(),Hit->GetY(),1.);
//        printf("Hit Sensor Label=%d\n",Hit->GetSensorLabel());
      }
    }
    delete ev;
  }
  c->cd(1);
  h_hits->Draw();
  c->cd(2);
  h_ent_track->Draw();
  b = new TCanvas("XY");
  h_xy->Draw();
}








