//
//
TCanvas *c;
TPhEvent *ev;
TPhRecTrack *track;
TPhTrackSeedFinder *tseed;
TPhDetector *det;

void event_disp(Int_t skip)
{
  gROOT->Reset();

  const Float_t kMove = -0.0;

  if(!TPhDetector::GetInstance()) {
    TFile f("$PHATHOME/init/Detector_TB98.root");
    det = (TPhDetector*)f.Get("PMC_TB98_V4.30");
//    TFile f("Detector_TB98.root");
//    det = (TPhDetector*)f.Get("TB98_V1.0;1");
    det->SetVerbose(10);
    TIter NextSensor(det->GetSensorList());
    TPhSpectSensor *Sensor;
    while(Sensor = (TPhSpectSensor*) NextSensor()) {
      if(Sensor->GetLayer() > 1) {
	Sensor->SetX0(Sensor->GetX0() - kMove);
	Sensor->SetX1(Sensor->GetX1() - kMove);
	Sensor->SetPosition(Sensor->GetX()- kMove,
			    Sensor->GetY(), Sensor->GetZ()); 
	Sensor->CalcBoxPoints();
      }
    }

  } else
    det = TPhDetector::GetInstance();
  
  tseed = new TPhTrackSeedFinder();
  tseed->Reset();
  tseed->SetVerbose(10);
  tseed->SetMulguisinMode(4);
  tseed->SetMulguisinResol(0.2);
  tseed->SetMulguisinLayer(3);

  TPhDST data("run016.dat_0_1000.root");

  ev = data.GetNextEvent(skip);
  det->SetEvent(ev);

   TPhObjectContainer *h = 
    (TPhObjectContainer*)ev->GetObject("HitsSuppressed");

  c = new TCanvas("aap");
  c->SetFillColor(1);
  det->Draw();
  TIter NextHit(h->GetIterator());
  TPhHit *Hit;

  while(Hit = (TPhHit*) NextHit()) {
    if(Hit->GetLayer() > 1)
      Hit->SetX(Hit->GetX() - kMove);
  }

  det->FillWithEventHits("HitsSuppressed");
  tseed->RunMulguisin();

  h->Draw();
  track = (TPhRecTrack*)tseed->GetTrackSeedList()->At(0);
  TH1F *h_hits = new TH1F("Hits", "Hits", 500, -0.05, 1);
  TIter NextHit(track->GetHitList());
  while(Hit = (TPhHit*) NextHit())
    h_hits->Fill(Hit->GetDe());
  h_hits->Draw();
  if(track) track->Draw();
}
