TCanvas *c;
TPhEvent *ev;
TPhRecTrack *track;
TPhTrackSeedFinder *tseed;
TPhDetector *det;

void event_display(Int_t skip)
{
  gROOT->Reset();

  const Float_t kMove = -0.0;

  if(!TPhDetector::GetInstance()) {
    TFile f("$PHATHOME/init/Detector_TB98.root");
    det = (TPhDetector*)f.Get("TB98_V1.0;1");
    det->SetVerbose(10);
  } else
    det = TPhDetector::GetInstance();
  
  tseed = new TPhTrackSeedFinder();
  tseed->Reset();
  tseed->SetVerbose(10);
  tseed->SetMulguisinMode(4);
  tseed->SetMulguisinResol(0.2);
  tseed->SetMulguisinLayer(3);

  TPhDST data("run015.dat_0_5000.root");

  ev = data.GetNextEvent(skip);
  det->SetEvent(ev);
  ev->Print("1");

   TPhObjectContainer *h = 
    (TPhObjectContainer*)ev->GetObject("HitsSuppressed");

  c = new TCanvas("aap");
  c->SetFillColor(1);
  det->Draw();
  TIter NextHit(h->GetIterator());
  TPhHit *Hit;

  det->FillWithEventHits("HitsSuppressed");
  tseed->RunMulguisin();

  h->Draw();
  track = (TPhRecTrack*)tseed->GetTrackSeedList()->At(0);
  if(track) track->Draw();
}





